### Method

# Gtk TreeStoremove_before

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_move_before (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* position
    )

#### Description [src]

Moves `iter` in `tree_store` to the position before `position`.

`iter` and `position` should be in the same level.

Note that this function only works with unsorted stores.

If `position` is `NULL`, `iter` will be moved to the end of the level.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The data is owned by the caller of the method.

`position`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.